Package com.smartgwt.client.widgets.grid.events

# Class EditFailedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<EditFailedHandler>
com.smartgwt.client.widgets.grid.events.EditFailedEvent

public class EditFailedEvent extends BrowserEvent<EditFailedHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditFailedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(EditFailedHandler handler)`
  `static <S extends HasEditFailedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<EditFailedHandler>`
  `getAssociatedType()`
  `int`
  `getColNum()`
  index of the column where the edit failed, if applicable
  `DSResponse`
  `getDsResponse()`
  DSResponse, for saves through a DataSource
  `EditCompletionEvent`
  `getEditCompletionEvent()`
  Edit completion event that led to the save attempt
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `Map`
  `getNewValues()`
  new values that we attempted to save
  `Record`
  `getNewValuesAsRecord()`
  new values that we attempted to save
  `Record`
  `getOldValues()`
  the complete original values from before the save occurred
  `int`
  `getRowNum()`
  current index of the row we attempted to save
  `static GwtEvent.Type<EditFailedHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EditFailedEvent

    public EditFailedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasEditFailedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<EditFailedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(EditFailedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<EditFailedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<EditFailedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<EditFailedHandler>`

  - ### getRowNum

    public int getRowNum()
    current index of the row we attempted to save
    Returns:
      current index of the row we attempted to save

  - ### getColNum

    public int getColNum()
    index of the column where the edit failed, if applicable
    Returns:
      index of the column where the edit failed, if applicable

  - ### getNewValues

    public Map getNewValues()
    new values that we attempted to save
    Returns:
      new values that we attempted to save

  - ### getNewValuesAsRecord

    public Record getNewValuesAsRecord()
    new values that we attempted to save
    Returns:
      new values that we attempted to save

  - ### getOldValues

    public Record getOldValues()
    the complete original values from before the save occurred
    Returns:
      the complete original values from before the save occurred

  - ### getEditCompletionEvent

    public EditCompletionEvent getEditCompletionEvent()
    Edit completion event that led to the save attempt
    Returns:
      Edit completion event that led to the save attempt

  - ### getDsResponse

    public DSResponse getDsResponse()
    DSResponse, for saves through a DataSource
    Returns:
      DSResponse, for saves through a DataSource